﻿<%@ Page Language="C#" MasterPageFile="Admin.Master" AutoEventWireup="true" Inherits="ViewPage<AdminMediaModel>" %>
<asp:Content ID="head" ContentPlaceHolderID="head" runat="server">
<title><%= (Model.Entry.Id == null) ? "Добавить медиа" : "Редактировать медиа" %> &rsaquo; Панель управления AtomSite</title>
<script type="text/javascript" src="<%= Url.ScriptSrc("jquery.multifile.js")%>"></script>
<script type="text/javascript" src="<%=Url.ScriptSrc("jquery.watermark.js") %>"></script>


</asp:Content>
<asp:Content ID="Content" ContentPlaceHolderID="content" runat="server">
<div class="location floatr">
Область: <strong><%= Model.Scope.Workspace %></strong>
Коллекция: <strong><%= Model.Scope.Collection %></strong>
</div>
<h2><%= (Model.Entry.Id == null) ? "Добавить медиа" : "Редактировать медиа" %></h2>
<div class="yui-ge" id="<%= Model.Entry.Id == null ? "NewMedia" : Model.Entry.Id.ToWebId() %>">
<form method="post" action="<%= Url.Action("EditMedia", "Admin", new {workspace=Model.Scope.Workspace,collection=Model.Scope.Collection}) %>" enctype="multipart/form-data">
  <div class="yui-u first">
  
  <input type="hidden" name="id" value="<%= Model.Entry.Id %>" />
  <div class="entry">
  <input type="text" name="title" title="Enter Title" value="<%= Model.Entry.Title %>" />
  <div class="links">
  <% if (Model.Entry.Content.Src != null)
     {  %><span class="floatr"><a style="opacity:0.5" href="#">Редактировать Id</a> | <a style="opacity:0.5" href="#">Добавить ссылку</a> | <a class="larger" href="<%=Model.Entry.Content.Src %>">Посмотреть медиа</a></span>
  <div><strong>Web-ссылка:</strong> <%= Model.Entry.Content.Src %></div> 
  <%} else { %>
  <strong>Адресная строка <small>(slug)</small>:</strong> <input type="text" maxlength="200" name="slug" value="<%=Model.Entry.Id != null ? Model.Entry.Id.EntryPath : string.Empty%>"/> <span class="info">разрешены только основные символы и цифры</span>
  <%} %>
  </div>
  
  <div class="upload">
    <label for='upmedia'>Загрузить медиа <small>png, jpg, gif files</small></label>
    <input type="file" name="upmedia" size="30" />
  </div>
 

<%if (Model.Entry.Content.Src != null)
  { %>
<img id="mediapreview" src="<%= Model.Entry.Content.Src %>" />
<%} %>
  </div>
  
  <div class="widget summary">
  <h3>Краткая версия</h3>
  <textarea cols="80" rows="3" name="summary"><%= Model.Entry.Summary != null ? Model.Entry.Summary.Text : string.Empty%></textarea>
  <small>Резюме поста</small>
  </div>
  
  <% Html.RenderWidgets("editEntryLeft"); %></div>
  
  <div class="yui-u">
  
  <div class="widget publish">
  <h3>Опубликовать</h3>
  <fieldset title="Publish">
  <div class="state">
  Черновик: <strong><input type="radio" id="draftyes" name="draft" value="true"<%= Model.Entry.Draft ? " checked=\"checked\"" : string.Empty %> /><label for="draftyes">да</label><input type="radio" id="draftno" name="draft" value="false"<%= !Model.Entry.Draft ? " checked=\"checked\"" : string.Empty %> /><label for="draftno">нет</label></strong>
  </div>
  
  <div class="state alt"><%-- TODO: authorized to approve? --%>
  Утверждено: <strong><input type="radio" id="approvedyes" name="approved" value="true"<%= Model.Entry.Approved ? " checked=\"checked\"" : string.Empty %> /><label for="approvedyes">да</label><input type="radio" id="approvedno" name="approved" value="false"<%= !Model.Entry.Approved ? " checked=\"checked\"" : string.Empty %> /><label for="approvedno">нет</label></strong>
  </div>
  
  <div class="state">
  <% if (Model.Entry.Published.HasValue)
     { %>
  <%= Model.Entry.Published.Value >= DateTimeOffset.Now ? "Опубликовать " : "Опубликовано"%>: <strong class="published"><%=Html.DateTimeAbbreviation(Model.Entry.Published.Value, (dto, tsi) => dto.ToString("g"))%></strong>
  
  <%} else { %>
  Опубликовать: <strong class="published">немедленно</strong>
  
  <%} %><a id="editpublished" class="edit" href="javascript:return false">Edit</a>

<div id="publishedinput">
  <input class="date" type="text" maxlength="10" name="publishedDate" value="<%=Html.DateTimeFormat(Model.Entry.Published ?? DateTime.Now, "MM/dd/yyyy")%>" /> @ <input type="text" class="time" maxlength="8" name="publishedTime" value="<%=Html.DateTimeFormat(Model.Entry.Published ?? DateTime.Now, "hh:mm tt")%>" />
</div>

  </div>
  
  <%if (Model.Entry.Edited.HasValue)
    {  %>
  <div class="state alt">
  Редактировалось: <%=Html.DateTimeAgoAbbreviation(Model.Entry.Edited.Value)%>
  </div>
  <%} %>
  
  <div class="publish">
    <%if (Model.Entry.Id == null)
      { %>
    <button class="wymupdate" type="submit" name="submit" value="Save Draft"><span class="btnicon ui-icon ui-icon-disk"></span> Сохранить черновик</button>
    <%}
      else
      { %>
    <button type="button" onclick="del('<%= Model.Entry.Id.ToWebId() %>', '<%= Url.RouteIdUrl("AtomPubEntry", Model.Entry.Id) %>');"><span class="btnicon ui-icon ui-icon-trash"></span> Удалить</button>
    <%} %>
    <button class="wymupdate default" type="submit" name="submit" value="Publish"><span class="btnicon ui-icon ui-icon-pin-s"></span> Опубликовать</button>
  </div>
    </fieldset>
  
</div>
  <div class="widget categories">
    <h3>Рубрики</h3>
    <ul>
    <% foreach (AtomCategory cat in Model.Collection.AllCategories) { %><li>
       <input type="checkbox" id="cat-<%=cat.Term %>" name="categories" value="<%=cat.Term %>" <%= Model.Entry.Categories.Contains(cat) ? "checked=\"checked\"" : string.Empty  %>/>
       <label for="cat-<%=cat.Term %>"><%=cat %></label>
       </li>
    <%} %>
    </ul>
    <div class="add">
    <%--<% using (Html.BeginForm("AddCategory", "Admin"))
       { %>--%><input type="text" name="categoryName" title="Category Name" value="Category Name" />
       <button name="addCategory">Добавить</button>
    <%--<%} %>--%>
    </div>
  </div>
  
  
  <div class="widget annotations">
  <h3>Отклики</h3>
  <div class="state">
  Комментарии: <strong><%= Model.Entry.Total ?? 0 %></strong>
  </div>
  <div class="state alt">
  Трэкбэки/пингбэки: <strong>0</strong>
  </div>
  <div class="state last">
  Разрешать новые: <strong><input type="radio" id="annsyes" name="allowAnnotations" value="true" <%= Model.Entry.AllowAnnotate ? "checked=\"checked\"" : string.Empty %> /><label for="annsyes">да</label><input type="radio" id="annsno" name="allowAnnotations" value="false" <%= !Model.Entry.AllowAnnotate ? "checked=\"checked\"" : string.Empty %> /><label for="annsno">нет</label></strong>
  </div>
  </div>
  
  <% Html.RenderWidgets("editEntryRight"); %> </div> </form>
</div>
</asp:Content>

<asp:Content ID="Tail" ContentPlaceHolderID="tail" runat="server">
<script type="text/javascript">
$(document).ready(function() {
  $('#editpublished').click(function() {
    $('strong.published').hide();
    $(this).hide();
    $('#publishedinput').show();
  });
  
  $('input[type=file]').MultiFile({ max: 1, accept: 'png|jpg|gif'});

  $('input[name=title]').watermark();
  $('input[name=categoryName]').watermark();
  $('button[name=addCategory]').click(function() {
    var cat = $.trim($('input[name=categoryName]').val());
    if (cat.length < 1) return false;
    var add = true;
    $('.categories li label').each(function() {
      if ($(this).text().toUpperCase().indexOf(cat.toUpperCase()) == 0) {
        add = false;
        $(this).prev('input[type=checkbox]').attr('checked', 'checked');
        scrollIntoView($(this), $(this).closest('ul'));
        flashit($(this).closest('li'), 'greenbg', 600, 3);
      }
    });
    if (add) {
      $('.categories ul').append("<li><input type='checkbox' name='categories' value='" + cat + "' checked='checked' /><label>" + cat + "</label></li>");
      scrollIntoView($('.categories ul li:last'), $('.categories ul'));
      flashit($('.categories ul li:last'), 'greenbg', 900, 2);
    }
    $('input[name=categoryName]').val('');
    return false;
  });

  $('input[name=categoryName]').live('keypress', function(e) {
    if ($(this).next('button').length <= 0) return true;
    if ((e.which && e.which == 13) || (e.keyCode && e.keyCode == 13)) {
      $(this).next('button').click();
      return false;
    } else {
      return true;
    }
  });
}); 

var flashit = function($this, cssClass, duration, cycles) {
  if (cycles < 1) return;
  $this.addClass(cssClass, duration / 2, function() { $this.removeClass(cssClass, duration / 2, function() { flashit($this, cssClass, duration, cycles - 1); }); });
};
var scrollIntoView = function($this, $parent) {
  var divOffset = $parent.offset().top;
  var pOffset = $this.offset().top;
  var pScroll = pOffset - divOffset;
  $parent.scrollTop(pScroll);
  //$parent.animate({ scrollTop: '+=' + pScroll + 'px' }, 1000, callback);
};</script>
</asp:Content>
<%--$.post('<%= Url.Action("AddCategory", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection }) %>', { categoryName: cat },
      function(data) {
        if (data.term != undefined) {
          $('.categories ul').append("<li><input type='checkbox' id='cat-" + data.Term + "' name='categories' value='" + data.Term + "' checked='checked' /><label for='cat-" + data.Term + "'>" + data.Label + "</label></li>").hide().fadeIn("fast");
          $('input[name=categoryName]').val('')
        } else { alert(data.error); }
      }, "json");--%>