﻿<%@ Page Language="C#" MasterPageFile="Admin.Master" AutoEventWireup="true" Inherits="ViewPage<AdminEntriesModel>" %>
<asp:Content ID="head" ContentPlaceHolderID="head" runat="server">
<title>Посты &rsaquo; AtomSite Manager </title>
</asp:Content>
<asp:Content ID="Content" ContentPlaceHolderID="content" runat="server">
<h2>Посты</h2>
<div class="filter state">
<a class="all" href="<%= Url.Action("Entries", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection }) %>">Все (<%=Model.AllCount %>)</a> | 
<a class="published" href="<%= Url.Action("Entries", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection, filter="published" }) %>">Опубликованные (<%= Model.PublishedCount %>)</a> | 
<a class="draft" href="<%= Url.Action("Entries", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection, filter="draft" }) %>">Черновики (<%= Model.DraftCount %>)</a> | 
<a class="unapproved" href="<%= Url.Action("Entries", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection, filter="unapproved" }) %>">Неутвержденные (<%= Model.UnapprovedCount %>)</a>
</div>
<table class="entries"><thead>
<tr><th>Коллекция</th><th>Пост</th><th>Авторы</th><th>Рубрики</th><th>Anns</th><th>Дата</th></tr></thead>
<tfoot>
<tr><td colspan="5">Страницы: <%
foreach (int i in Enumerable.Range(1, Model.Entries.PageCount))
{
  if (Model.Entries.PageNumber == i) Response.Write("<strong>");
  Response.Write("<a href='" + Url.Action("Entries", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection, filter=Model.Filter, page = i }) + "'>" + i + "</a> ");
  if (Model.Entries.PageNumber == i) Response.Write("</strong>");
}

%></td><td>Всего постов: <strong><%=Model.Entries.TotalItemCount %></strong></td></tfoot>
<tbody>
<% bool alt = true; foreach (AtomEntry e in Model.Entries) { alt = !alt;%>
<tr id="<%= e.Id.ToFullWebId() %>" class="entry<%= alt? " alt" : string.Empty %><%= !e.Visible? " pending" : string.Empty %>">
<td class="coll"><%= e.Id.Collection %></td>
<td class="title"><strong><a href="<%= Url.Action(e.Media?"EditMedia":"EditEntry", "Admin", new { id = e.Id.ToString() }) %>"><%= e.Title %></a></strong> <span class="draft"><%= e.Draft ? "[Черновик]" : string.Empty%></span> <span class='status'><%= !e.Approved ? "[Не утверждено]" : string.Empty %></span>
<div class="actions"><a href="javascript:" onclick="setApproval('<%= e.Id.ToFullWebId() %>', '<%= Url.RouteIdUrl("BlogApproveEntry", e.Id)%>', this);"><%= e.Approved ? "не утверждать" : "утвердить"%></a> | 
 <a href="<%= Url.Action(e.Media?"EditMedia":"EditEntry", "Admin", new { id = e.Id.ToString() }) %>">редактировать</a>
 | <a href="#" onclick="del('<%= e.Id.ToFullWebId() %>', '<%= Url.RouteIdUrl("AtomPubEntry", e.Id) %>');return false;">удалить</a>
 | <a href="<%=e.LocationWeb %>">просмотреть</a></div></td>
<td class="authors"><%Html.RenderPartial("AtomPubPeople", e.Authors); %></td>
<td class="cats"><% foreach (AtomCategory cat in e.Categories) { Response.Write(cat); if (e.Categories.Last().Term != cat.Term) Response.Write(", "); }%></td>
<td class="anns"><%= e.Total %></td>
<td class="date"><%= Html.DateTimeAbbreviation(e.Date, (dto, tzi) => dto.ToString("g")) %><br />
<%= e.Published.HasValue ? e.Published.Value < DateTimeOffset.Now ? "Опубликовано" : "Запланировано" : "Обновлено" %>

</td>
</tr>
<%} %>
</tbody>

</table>
</asp:Content>

<asp:Content ID="Tail" ContentPlaceHolderID="tail" runat="server">
<script type="text/javascript">
$(document).ready(function() {
});

</script>
</asp:Content>
