﻿<%@ Page Language="C#" MasterPageFile="Admin.Master" AutoEventWireup="true" Inherits="ViewPage<AdminPluginsModel>" %>
<asp:Content ID="head" ContentPlaceHolderID="head" runat="server">
  <title>Плагины &rsaquo; Панель управления AtomSite</title>
<script type="text/javascript" src="<%= Url.ScriptSrc("jquery.multifile.js")%>"></script>

</asp:Content>
<asp:Content ID="Content" ContentPlaceHolderID="content" runat="server">
  <div class="yui-g">
<div class="yui-u first">
<h2>Плагины</h2>
<form id="uploadplugin" action="<%= Url.Action("UploadPlugin", "Admin") %>" enctype="multipart/form-data" method="POST">
<fieldset>
<label for='upplug'>Загрузить плагин <small>в zip-архиве</small></label>
<input type="file" name="upplug" size="30" />
</fieldset>
</form>
</div>
<div class="yui-u">
<div id="restart" class="ui-widget"> 
	<div class="ui-state-error ui-corner-all"> 
		<button>Перезапуск</button>
		<p><span class="ui-icon ui-icon-alert"></span> 
		<strong>Предупреждение:</strong> необходимо перезапустить приложение, чтобы изменения вошли в силу.</p>
	</div> 
</div>

</div>
</div>

<div id="target">
<% Html.RenderPartial("AdminPluginListing", Model); %>
</div>
</asp:Content>

<asp:Content ID="Tail" ContentPlaceHolderID="tail" runat="server">

  <script type="text/javascript">
$(document).ready(function() {

  $('input[type=file]').MultiFile({ max: 1, accept: 'zip|dll', afterFileAppend: function(element, value, master_element) {
    $('.MultiFile-label').append('<button type="submit">Установить плагин</button>');
  }
  });

  var plugins = function() {

    $('input[name=enabled]').click(function() {
      var enabled = $(this).is(':checked');
      var $row = $(this).closest('tr');
      var type = $row.attr('id');
      var warn = type.indexOf('AtomSite.WebCore') == 0;
      var doPost = true;
      if (warn && !enabled) doPost = confirm('Предупреждение: вы действительно хотите отключить базовый плагин? Нет никакой гарантии, что AtomSite будет работать корректно после этого. Продолжить?');
      if (doPost) {
        $.post('<%= Url.Action("SetPluginEnabled", "Admin") %>', { pluginType: type, enabled: enabled },
          function(data) { redisplayPlugins(data) });
      }
    });

    $('button.prev, button.next, button.add, button.subtract').click(function() {
      var change = $(this).attr('class').split(' ')[0];
      var $row = $(this).closest('tr');
      var type = $row.attr('id');
      $.post('<%= Url.Action("SetPluginMerit", "Admin") %>', { pluginType: type, change: change },
       function(data) { redisplayPlugins(data) });
    });

    $('button[name=setup]').click(function() {
      var $row = $(this).closest('tr');
      var type = $row.attr('id');
      $.post('<%= Url.Action("SetupPlugin", "Admin") %>', { pluginType: type },
       function(data) { redisplayPlugins(data) });
    });

    $('button[name=install]').click(function() {
      var $row = $(this).closest('tr');
      var type = $row.attr('id');
      $.post('<%= Url.Action("InstallPlugin", "Admin") %>', { pluginType: type },
       function(data) { redisplayPlugins(data) });
    });

    $('button[name=uninstall]').click(function() {

      var $row = $(this).closest('tr');
      var type = $row.attr('id');

      var warn = type.indexOf('AtomSite.WebCore') == 0;
      var proceed = true;
      if (warn) {
        proceed = confirm('Предупреждение: вы действительно хотите отключить базовый плагин? Нет никакой гарантии, что AtomSite будет работать корректно после этого. Продолжить?');
      }

      if (proceed) {
        $.post('<%= Url.Action("UninstallPlugin", "Admin") %>', { pluginType: type },
       function(data) { redisplayPlugins(data) });
      }
    });

    $('button.prev, button.next, button.add, button.subtract').removeAttr('disabled');
    $('button.disabled').attr('disabled', 'disabled');
    $('tr.greenbg').removeClass('greenbg', 3000);
  };

  var redisplayPlugins = function(data) {
    if (!data.error) {
      $('.plugins').remove();
      $('#target').html(data);
      plugins();
      flashRestart(3);
    } else {
      alert(data.error);
    }
  };

  plugins();

  $('#restart button').click(function() {
    if (confirm('Если вы перезапустите приложение, ваши пользовательские сессии могут быть потеряны. Продолжить перезапуск приложения?')) {
      $.post('<%= Url.Action("Restart", "Admin") %>', {},
      function(data) {
        alert('Приложение перезапускается. Ваши страницу могут загружаться долго, пока приложение не запущено полностью.');
      }, "json");
    }
  });
});

var flashing = false;
var flashRestart = function(count) {
  if (flashing) return;
  if (count == 0) { flashing = false; return; }
  $('#restart').fadeTo(400, 0.4, function() { flashing = true; $(this).fadeTo(400, 1, function() { flashing = false; flashRestart(count - 1); }) });
};
</script>
</asp:Content>
