﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="ViewPage<WizardModel>" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Программа установки AtomSite</title>
  <link rel="stylesheet" type="text/css" media="screen" href="<%= Url.Href("wizard.css") %>" />
  <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
  <script type="text/javascript">
  function isValid() {
  	var valid = true;
  	$("input").each(function() {
  		if (jQuery.trim($(this).val()).length < 1) {
  			$(this).addClass('failure').fadeTo(200, 0.2, function() {
  				$(this).fadeTo(200, 0.9,
  		function() { $(this).fadeTo(200, 0.2, function() { $(this).fadeTo(200, 1); }); });
  			});
  			valid &= false;
  		} else {
  			$(this).removeClass('failure');
  		}
  	});
  	return valid;
  }    
  </script>
</head>
<body>
<% if (Model.StepName == WizardModel.StepTestInstall)
	 { %>
    <div id="<%= WizardModel.StepTestInstall %>">
    <h1>Welcome</h1>
    <p>This is the first time you have run AtomSite.  Please wait while we test your installation.</p>
    <table id="tblTests">
  <tr>
    <td>GET</td><td><img id="imgGET" src="<%= Url.ImageSrc("pending.png") %>" alt="indicator" /></td>
  </tr>
  <tr>
    <td>POST</td><td><img id="imgPOST" src="<%= Url.ImageSrc("pending.png") %>" alt="indicator" /></td>
  </tr>
  <tr>
    <td>PUT</td><td><img id="imgPUT" src="<%= Url.ImageSrc("pending.png") %>" alt="indicator" /></td>
  </tr>
  <tr>
    <td>DELETE</td><td><img id="imgDELETE" src="<%= Url.ImageSrc("pending.png") %>" alt="indicator" /></td>
  </tr>
  <tr>
    <td>Write Access</td><td><img id="imgWriteFile" src="<%= Url.ImageSrc("pending.png") %>" alt="indicator" /></td>
  </tr>
  <tr>
    <td>Delete Access</td><td><img id="imgDeleteFile" src="<%= Url.ImageSrc("pending.png") %>" alt="indicator" /></td>
  </tr><%--
  <tr>
    <td>Secure Access</td><td><img id="imgSecure" src="<%= Url.ImageSrc("pending.png") %>" alt="indicator" /></td>
  </tr>--%>
  </table>
  <div class="status">Тестируем...</div>
  
  <div id="divContinue" class="taskOption" style="display:none;">
  <input type="button" onclick="onContinue();" value="Continue" /> 
  <strong>Поздравляем</strong>, ваш установленный AtomSite полностью функционален. Нажмите &laquo;продолжить&raquo; для новой установки.  
  </div>
  
  <div id="divTrouble" class="taskOption" style="display:none;">
  <input type="button" onclick="runTest(0);" value="Retest" /> 
  <strong>Простите</strong>, ваш AtomSite может функционировать некорректно.  Ваш хостинг-провайдер, возможно, блокирует функции, необходимые для запуска AtomSite.. <strong>Посмотрите в <a href="http://atomsite.net/info/Troubleshooting.xhtml">Troubleshooting</a>.</strong>
  </div>
  
  <div id="divContinueAnyway" class="taskOption" style="display:none;">
  <input type="button" onclick="onContinue();" value="Continue Anyway" /> 
  Если Вы хотите проигнорировать все ошибки и попытаться продолжить установку, нажмите &laquo;продолжить&raquo;.
  </div>
  
    </div>
    <script type="text/javascript">    $(document).ready(function() {
    	runTest(0);
    });

    var tests = ['GET', 'POST', 'PUT', 'DELETE', 'WriteFile', 'DeleteFile'];
    var testsUrl = ['<%= Url.Action("Test") %>', '<%= Url.Action("Test") %>',
     '<%= Url.Action("Test") %>', '<%= Url.Action("Test") %>',
     '<%= Url.Action("WriteTest") %>', '<%= Url.Action("DeleteTest") %>'];
    var testResults = [0, 0, 0, 0, 0, 0];
    var timeout;
    function runTest(idx) {
    	if (timeout) { clearTimeout(timeout); }
    	
    	if (idx == 0) {
    		$('#divTrouble').fadeOut();
    		$('#divContinueAnyway').fadeOut();
    	}
    	
    	if (idx > tests.length) {
    	
    	  var sum = 0;
				for (i=0; i<testResults.length; i++) {
					sum = sum + testResults[i];
				}

				if (testResults.length == sum) {
					$('.status').text("Complete").removeClass('failure').addClass('complete');
					$('#divContinue').fadeIn();
				} else {
					$('.status').text("Error").removeClass('complete').addClass('failure');
					$('#divTrouble').fadeIn();
					$('#divContinueAnyway').fadeIn();
				}
    			return;
    	}
    	
    	$('.status').text("Testing " + idx + "...");
    	$('#img' + tests[idx]).replaceWith('<img id="img' + tests[idx] + '" src="<%= Url.ImageSrc("busy.gif") %>" alt="indicator" />');

    	$.ajax({
    		type: idx < 4 ? tests[idx] : "GET",
    		url: testsUrl[idx],
    		data: "",
    		timeout: 4000,
    		success: function(resp) {
    		$('#img' + tests[idx]).replaceWith('<img id="img' + tests[idx] + '" src="<%= Url.ImageSrc("success.png") %>" alt="indicator" />');
    				testResults[idx] = 1;
    				runTest(idx + 1);
    		},
    		error: function(req, errorType, errorThrown) {
    		$('#img' + tests[idx]).replaceWith('<img id="img' + tests[idx] + '" src="<%= Url.ImageSrc("failure.png") %>" alt="indicator" />');
    				testResults[idx] = 0;
    				runTest(idx + 1);
    		}
    	});
    	}

    function onContinue() {
    	document.location = '<%=Url.Action("Step", new {stepName = WizardModel.StepSetupChoice}) %>';
    }
 </script>
    
    <% }  %>
    
<% if (Model.StepName == WizardModel.StepSetupChoice)
	 { %>
    <div id="<%= WizardModel.StepSetupChoice %>">
	 <h1>Setup AtomSite</h1>
  <div class="taskOption" id="divDefault">
  <input type="button" onclick="onDefault();" value="Use Default Setup" /> 
  Установить AtomSite с настройками по умолчанию. Это включает три коллекции для вашего блога, страниц и медиа.
  </div>
  
  <div id="divNotSupported">
  <div class="taskOption" id="divImport">
  <input type="button" onclick="alert('Not yet supported');" value="Start Import" /> 
  Импортировать существующий блог.  <select style="width:14em;" name="importFrom"></select>
  </div>
  
  <div class="taskOption" id="divAdvanced">
  <input type="button" onclick="alert('Not yet supported');" value="Advanced Setup" /> 
  <em>(Для экспертов)</em> Установить AtomSite с Вашими настройками. Выберите коллекции и установите администраторов, авторов и сотрудников.
  </div>
  </div>
    </div>
    <script type="text/javascript">    $(document).ready(function() {
    $('#divNotSupported').fadeTo(1000, 0.4);
   });
   function onDefault() {
   	location.search = "?stepName=<%= WizardModel.StepBasicSettings %>";
   }
    </script>
    <%} %>
    
    
<% if (Model.StepName == WizardModel.StepBasicSettings)
	 { %>
    <div id="<%= WizardModel.StepBasicSettings %>">
	 <h1>Базовые настройки</h1>
	 
	 <form action="<%= Url.Action(WizardModel.StepBasicSettings) %>" method="post">
	 <fieldset>
	 <div class="field">
	 <label>Адрес</label>
	 <strong><%= Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath%></strong>
	 </div>
	 
	 <div class="field">
	 <small>Введите свое доменное имя или email для уникальной идентификации Ваших постов <a style="vertical-align:super; font-weight:bold;" href="http://atomsite.net/info/URIsAndURLs.xhtml">?</a></small>
	 <label for="txtBaseId">Id Name</label>
	 <input class="required" style="width:12em;" type="text" name="txtBaseId" value="<%= Model.Owner %>" />
	 </div>
	 
	 <div class="field">
	 <small>Укажите год, когда Вы приобрели это доменное имя или email-адрес</small>
	 <label for="ddlYear">Id года</label>
	 <%= Html.DropDownList("ddlYear", new SelectList(Enumerable.Range(1990, (DateTime.Today.Year + 2) - 1990)))%>
	 </div>
	 
	 <div class="field">
	 <small>Введите краткое описание Вашего сайта.</small>
	 <label for="txtWorkspaceSubtitle">Описание</label>
	 <input class="required" type="text" name="txtWorkspaceSubtitle" value="<%= Model.WorkspaceSubtitle %>" />
	 </div>
	 
	 <div class="field">
	 <label for="txtBlogTitle">Название блога</label>
	 <input class="required" type="text" name="txtBlogTitle" value="<%= Model.BlogTitle %>" />
	 </div>
	 
	 <div class="field">
	 <small>Введите ваше имя (никнейм), которое также будет вашим логином</small>
	 <label for="txtName">Ваше имя</label>
	 <input class="required" style="width:12em;" type="text" name="txtName" value="<%= Model.Name %>" />
	 </div>
	 
	 <div class="field">
	 <label for="txtPassword">Пароль</label>
	 <input class="required" style="width:12em;" type="password" id="txtPassword" name="txtPassword" value="" />
	 </div>
	 
	 <div class="field">
	 <label for="txtEmail">Ваш Email</label>
	 <input class="required" style="width:15em;" type="text" name="txtEmail" value="<%= Model.Email %>" />
	 </div>
	 
  <div class="taskOption">
  <input type="button" onclick="onContinue();" value="Continue" /> 
  </div>
   
	 </fieldset>	 
	 </form>
    </div>
    <%-- set the year to this year --%>
    <script type="text/javascript">    
    $(document).ready(function() {
    	$('#ddlYear').val('<%= DateTime.Today.Year %>');
    });
    function onContinue() {
    	if (isValid()) $('form').submit();
    }
    </script>
    <%} %>
     
     <%--
<% if (Model.StepName == "WizardPersonalInfo")
	 { %>
    <div id="WizardPersonalInfo">
	 <h1>Персональная информация</h1>	 
	 <form id="form1" action="<%= Url.Action("WizardPersonalInfo") %>" method="post">
	 <fieldset>

	 <div class="field">
	 <small>Это будет показываться только на странице &laquo;О блоге&raquo;</small>
	 <label for="txtFullName">Полное имя</label>
	 <input style="width:12em;" type="text" name="txtBaseId" value="<%= Model.FullName %>" />
	 </div>
	 
	 <div class="field">
	 <small>Если Вы укажете OpenID, то сможете заходить из-под него</small>
	 <label for="txtOpenId">OpenID</label>
	 <input style="width:18em;" type="text" name="txtOpenId" value="<%= Model.OpenId %>" />
	 </div>
	 
	 <div class="field">
	 <small>Расскажите всем о себе. Можно использовать HTML.</small>
	 <label for="txtAbout">О <%= Model.Name %></label>
	 <textarea name="txtAbout" cols="26" rows="5" style="width:18em;height:5em;"><%= Model.About %></textarea>
	 </div>
	 
	 <div class="field">
	 <small>Добавьте любимые ссылки. Можно использовать HTML.</small>
	 <label for="txtBlogRoll">Любимые блоги <%= Model.Name %></label>
	 <textarea name="txtBlogRoll" cols="26" rows="5" style="width:18em;height:5em;"><%= Model.BlogRoll %></textarea>
	 </div>
	 
	 <div class="field">
	 <small>Добавьте Вашу контактную информацию. Можно использовать HTML.</small>
	 <label for="txtContact">Контакты <%= Model.Name %></label>
	 <textarea name="txtContact" cols="26" rows="5" style="width:18em;height:5em;"><%= Model.Contact %></textarea>
	 </div>
	 	 
  <div class="taskOption">
  <input type="button" onclick="onFinish();" value="Finish" /> 
  </div>
   
	 </fieldset>	 
	 </form>
    </div>
    <script type="text/javascript">
    function onFinish() {
    	if (isValid()) $('form').submit();
    }
    </script>
    <%} %>
    --%>
    
<% if (Model.StepName == WizardModel.StepChooseTheme)
	 { %>
    <div id="<%= WizardModel.StepChooseTheme %>">
	 <h1>Выберите тему</h1>	 
	 <form action="<%= Url.Action(WizardModel.StepChooseTheme) %>" method="post">
	 <fieldset>

	 <div class="field">
	 <label for="ddlTheme">Тема</label>
	 <%= Html.DropDownList("ddlTheme", new SelectList(Model.Themes, "Key", "Value", Model.Theme)) %>
	 </div>
	 <div id="divPreview">
	 <img id="imgPreview" src="<%= Url.Content(string.Format("~/themes/{0}/{0}.png", Model.Theme)) %>" alt="Theme Preview" />
	 	 	 </div>
  <div class="taskOption">
  <input type="button" onclick="onFinish();" value="Finish" /> 
  </div>
	 </fieldset>	 
	 </form>
    </div>
    <script type="text/javascript">
    var previewUrl = '<%= Url.Content("~/themes/") %>';
    $(document).ready(function() {
    	$('#ddlTheme').change(function() {
    		$('#imgPreview').fadeOut('fast', function() {
    			$(this).replaceWith('<img style="display:none" id="imgPreview" src="' + previewUrl + $('#ddlTheme').val() + "/" + $('#ddlTheme').val() + '.png" alt="Theme Preview" />');
    			$('#imgPreview').fadeIn('slow');
    		});
    	});
    });
    
    function onFinish() {
    	if (isValid()) $('form').submit();
    }
    </script>
    <%} %>
    
<% if (Model.StepName == WizardModel.StepComplete)
	 { %>
    <div id="<%= WizardModel.StepComplete %>">
	 <h1>Установка завершена</h1>
   <p>AtomSite установлен и готов к использованию. Оставайтесь в курсе новых изменений, заходите на <a href="http://atomsite.net">http://atomsite.net</a>.</p>
   <p>Вы будете перенаправлены на Ваш новый блог в течение <span id="timeSecs">6</span> секунд.</p>
   <h3><a href="<%= Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath %>"><%= Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath%></a></h3>
  </div>
    <script type="text/javascript">    $(document).ready(function() {
    	tick = setInterval(onTick, 1000);
    });
    var tick;
    var time = 6;
    function onTick() {
    	time = time - 1;
    	$('#timeSecs').text(time.toString());
    	if (time < 3) {
    		window.location = '<%= Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath%>';
    		clearInterval(tick);
    	}
    }
    </script>
    <%} %>
</body>
</html>
